package com.steerinfo.ems.dispatchzlog.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class DispatchZLog implements IBasePO<String> {
    /**
     * 日志编号(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="日志编号",required=true)
    private String clock;

    /**
     * 编制时间(TIM,VARCHAR,30)
     */
    @ApiModelProperty(value="编制时间",required=false)
    private String tim;

    /**
     * 调度类型(DTYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="调度类型",required=false)
    private String dtype;

    /**
     * 交班人(TURN_USER,VARCHAR,30)
     */
    @ApiModelProperty(value="交班人",required=false)
    private String turnUser;

    /**
     * 接班人(CARRY_USER,VARCHAR,30)
     */
    @ApiModelProperty(value="接班人",required=false)
    private String carryUser;

    /**
     * 总值班长(LEADER,VARCHAR,30)
     */
    @ApiModelProperty(value="总值班长",required=false)
    private String leader;

    /**
     * 电日志(ELOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="电日志",required=false)
    private String elog;

    /**
     * 动力日志(PLOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="动力日志",required=false)
    private String plog;

    /**
     * 水日志(WLOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="水日志",required=false)
    private String wlog;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.clock;
    }

    @Override
    public void setId(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getTim() {
        return tim;
    }

    public void setTim(String tim) {
        this.tim = tim == null ? null : tim.trim();
    }

    public String getDtype() {
        return dtype;
    }

    public void setDtype(String dtype) {
        this.dtype = dtype == null ? null : dtype.trim();
    }

    public String getTurnUser() {
        return turnUser;
    }

    public void setTurnUser(String turnUser) {
        this.turnUser = turnUser == null ? null : turnUser.trim();
    }

    public String getCarryUser() {
        return carryUser;
    }

    public void setCarryUser(String carryUser) {
        this.carryUser = carryUser == null ? null : carryUser.trim();
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader == null ? null : leader.trim();
    }

    public String getElog() {
        return elog;
    }

    public void setElog(String elog) {
        this.elog = elog == null ? null : elog.trim();
    }

    public String getPlog() {
        return plog;
    }

    public void setPlog(String plog) {
        this.plog = plog == null ? null : plog.trim();
    }

    public String getWlog() {
        return wlog;
    }

    public void setWlog(String wlog) {
        this.wlog = wlog == null ? null : wlog.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", tim=").append(tim);
        sb.append(", dtype=").append(dtype);
        sb.append(", turnUser=").append(turnUser);
        sb.append(", carryUser=").append(carryUser);
        sb.append(", leader=").append(leader);
        sb.append(", elog=").append(elog);
        sb.append(", plog=").append(plog);
        sb.append(", wlog=").append(wlog);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}